package com.capitalware.ufm.mq.objects;

/**
 * This class holds the name of the queue and remote queue manager name (if any).
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0
 * @license Apache 2 License
 */
public class QueueObject
{
   public String  qName = null;     // queue name
   public String  qMgrName = null;  // remote queue manager name

   /**
    * The constructor
    */
   public QueueObject()
   {
      super();
   }

   /**
    * The constructor
    * @param qMgrName
    * @param qName
    */
   public QueueObject(String  qMgrName, String  qName)
   {
      super();
      this.qMgrName = qMgrName;
      this.qName = qName;
   }

   /**
    * To string method
    * 
    * return 
    */
   public String toString()
   {
      String value = "";
      
      if (qMgrName != null)
         value = qMgrName+":";

      if (qName != null)
         value = value + qName;
      
      return value;
   }
   
}
